Imports ComponentPro.Net.Mail

Namespace ImapClient
	''' <summary>
	''' Contains information for a message such as Sequence Number, Unique Id, Date time, message length.
	''' </summary>
	Public Class ListItemTagInfo
		Private ReadOnly _uniqueId As String
		Private ReadOnly _sequenceNumber As Integer
		Private ReadOnly _dateTime As MailDateTime
		Private ReadOnly _length As Long

		Public Sub New(ByVal sequenceNumber As Integer, ByVal uniqueId As String, ByVal dateTime As MailDateTime, ByVal length As Long)
			_sequenceNumber = sequenceNumber
			_uniqueId = uniqueId
			_dateTime = dateTime
			_length = length
		End Sub

		Public ReadOnly Property SequenceNumber() As Integer
			Get
				Return _sequenceNumber
			End Get
		End Property

		Public ReadOnly Property UniqueId() As String
			Get
				Return _uniqueId
			End Get
		End Property

		Public ReadOnly Property DateTime() As MailDateTime
			Get
				Return _dateTime
			End Get
		End Property

		Public ReadOnly Property Length() As Long
			Get
				Return _length
			End Get
		End Property
	End Class
End Namespace
